NX Open C++ Reference Guide
|
The ProfileSplit builder
To create a new instance of this class, use Tooling::ProfileSplitCollection::CreateProfileSplitBuilder
Created in NX6.0.0.
More...
Public Member Functions | |
bool | DefAssociative () |
Returns the associative flag Created in NX6.0.0. | |
NXOpen::Direction * | DefVector () |
Returns the extruded vector to return Created in NX6.0.0. | |
NXOpen::Expression * | ExtDist1 () |
Returns the extruded start distance Created in NX6.0.0. | |
NXOpen::Expression * | ExtDist2 () |
Returns the extruded end distance Created in NX6.0.0. | |
NXOpen::SelectBodyList * | SelectBody () |
Returns the selected body to be splitted Created in NX6.0.0. | |
NXOpen::Section * | SelectProfile () |
Returns the selected profile Created in NX6.0.0. | |
void | SetDefAssociative (bool defassociative) |
Sets the associative flag Created in NX6.0.0. | |
void | SetDefVector (NXOpen::Direction *defVector) |
Sets the extruded vector to return Created in NX6.0.0. | |
void | StTraverse () |
Start traverse function to get edge loop Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
The ProfileSplit builder
To create a new instance of this class, use Tooling::ProfileSplitCollection::CreateProfileSplitBuilder
Created in NX6.0.0.
bool NXOpen::Tooling::ProfileSplitBuilder::DefAssociative | ( | ) |
Returns the associative flag
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::ProfileSplitBuilder::DefVector | ( | ) |
Returns the extruded vector to return
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ProfileSplitBuilder::ExtDist1 | ( | ) |
Returns the extruded start distance
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Tooling::ProfileSplitBuilder::ExtDist2 | ( | ) |
Returns the extruded end distance
Created in NX6.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::ProfileSplitBuilder::SelectBody | ( | ) |
Returns the selected body to be splitted
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::ProfileSplitBuilder::SelectProfile | ( | ) |
Returns the selected profile
Created in NX6.0.0.
License requirements : None
void NXOpen::Tooling::ProfileSplitBuilder::SetDefAssociative | ( | bool | defassociative | ) |
Sets the associative flag
Created in NX6.0.0.
License requirements : None
defassociative | defassociative |
void NXOpen::Tooling::ProfileSplitBuilder::SetDefVector | ( | NXOpen::Direction * | defVector | ) |
Sets the extruded vector to return
Created in NX6.0.0.
License requirements : None
defVector | defvector |
void NXOpen::Tooling::ProfileSplitBuilder::StTraverse | ( | ) |
Start traverse function to get edge loop
Created in NX6.0.0.
License requirements : None